require 'net/http'
require 'uri'
require 'json'

module Fastlane
  class Particle
    def initialize(access_token, device_id)
      @access_token = access_token
      @device_id = device_id
    end

    def function(name, value)
      post("https://api.particle.io/v1/devices/#{@device_id}/#{name}", { arg: value, access_token: @access_token })
    end

    private

    def post(url, params)
      Net::HTTP.post_form(URI.parse(url), params)
    end
  end
end
